Get a Project
curl --request GET \
--url https://api.virtuoussoftware.com/api/Project/{projectId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Project/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Project/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Project/{projectId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Project/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Project/{projectId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Project/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Project/{projectId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 1501,
"enableSync": false,
"name": "Holiday Meals 2025",
"projectCode": "HM-2025",
"externalAccountingCode": "4100",
"onlineDisplayName": "Holiday Meals 2025",
"description": "Holiday food distribution to 500 families across the metro region.",
"photoUrl": "https://cdn.virtuoussoftware.com/projects/1501-cover.jpg",
"parentId": null,
"parentName": null,
"isSubProject": false,
"inventoryStatus": "None",
"type": "Program",
"location": "Springfield, OR",
"isRestrictedToGiftSpecifications": false,
"isLimitedToFinancialNeed": false,
"isPublic": true,
"isActive": true,
"isAvailableOnline": true,
"isTaxDeductible": true,
"treatAsAccountsPayable": false,
"beginningBalance": 0,
"currentBalance": 18420,
"financialNeedType": "Fixed",
"financialNeedFrequency": "OneTime",
"financialNeedAmount": 50000,
"startDate": "2025-09-01T00:00:00Z",
"endDate": "2025-12-31T00:00:00Z",
"durationType": "Fixed",
"lifeToDateGiving": 18420,
"lifeToDateGiftCount": 142,
"lifeToDateGiversCount": 128,
"lifeToDateExpenseTotal": 6200,
"calendarYearToDateGiving": 18420,
"calendarYearToDateGiftCount": 142,
"calendarYearToDateGiversCount": 128,
"calendarYearToDateExpenseTotal": 6200,
"createDateTimeUtc": "2025-09-01T08:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-14T16:22:33Z",
"modifiedByUser": "Data Import",
"giftSpecifications": [
{
"amount": 50,
"frequency": "OneTime"
},
{
"amount": 100,
"frequency": "OneTime"
}
],
"customFields": {}
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}How to Get Projects
Get a Project
GET
/
api
/
Project
/
{projectId}
Get a Project
curl --request GET \
--url https://api.virtuoussoftware.com/api/Project/{projectId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Project/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Project/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Project/{projectId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.virtuoussoftware.com/api/Project/{projectId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Project/{projectId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.virtuoussoftware.com/api/Project/{projectId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyconst url = 'https://api.virtuoussoftware.com/api/Project/{projectId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 1501,
"enableSync": false,
"name": "Holiday Meals 2025",
"projectCode": "HM-2025",
"externalAccountingCode": "4100",
"onlineDisplayName": "Holiday Meals 2025",
"description": "Holiday food distribution to 500 families across the metro region.",
"photoUrl": "https://cdn.virtuoussoftware.com/projects/1501-cover.jpg",
"parentId": null,
"parentName": null,
"isSubProject": false,
"inventoryStatus": "None",
"type": "Program",
"location": "Springfield, OR",
"isRestrictedToGiftSpecifications": false,
"isLimitedToFinancialNeed": false,
"isPublic": true,
"isActive": true,
"isAvailableOnline": true,
"isTaxDeductible": true,
"treatAsAccountsPayable": false,
"beginningBalance": 0,
"currentBalance": 18420,
"financialNeedType": "Fixed",
"financialNeedFrequency": "OneTime",
"financialNeedAmount": 50000,
"startDate": "2025-09-01T00:00:00Z",
"endDate": "2025-12-31T00:00:00Z",
"durationType": "Fixed",
"lifeToDateGiving": 18420,
"lifeToDateGiftCount": 142,
"lifeToDateGiversCount": 128,
"lifeToDateExpenseTotal": 6200,
"calendarYearToDateGiving": 18420,
"calendarYearToDateGiftCount": 142,
"calendarYearToDateGiversCount": 128,
"calendarYearToDateExpenseTotal": 6200,
"createDateTimeUtc": "2025-09-01T08:00:00Z",
"createdByUser": "Development Team",
"modifiedDateTimeUtc": "2025-11-14T16:22:33Z",
"modifiedByUser": "Data Import",
"giftSpecifications": [
{
"amount": 50,
"frequency": "OneTime"
},
{
"amount": 100,
"frequency": "OneTime"
}
],
"customFields": {}
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Authorizations
Response
OK
Last modified on July 24, 2026
Was this page helpful?